﻿<?xml version="1.0" encoding="utf-8"?>
<Project xmlns="http://schemas.microsoft.com/developer/msbuild/2003" Sdk="Microsoft.NET.Sdk">
  
  <PropertyGroup Label="Product">
    <Title>XploRe.Logging.Serilog</Title>
    <VersionPrefix>0.2.0</VersionPrefix>
    <RepositoryType>git</RepositoryType>
    <RepositoryUrl>https://gitlab.com/xplo-re/dotnet/logging.serilog</RepositoryUrl>
    <Authors>Michael Maier</Authors>
    <Description><![CDATA[
Serilog logger registration extensions for dependency injection.
]]></Description>
    <PackageTags>serilog; logging; services; di</PackageTags>
    <PackageProjectUrl>https://xdn.xplo-re.net/docs/dotnet/1.0/api/XploRe.Logging.Serilog.html</PackageProjectUrl>
  </PropertyGroup>

  <PropertyGroup Label="Build Configuration">
    <TargetFrameworks>netstandard1.3;netstandard2.0</TargetFrameworks>
    <LangVersion>7</LangVersion>
  </PropertyGroup>

  <ItemGroup Label="Packages" Condition=" '$(TargetFramework)' == 'netstandard1.3' ">
    <PackageReference Include="Microsoft.Extensions.Logging" Version="1.1.2" />
  </ItemGroup>

  <ItemGroup Label="Packages" Condition=" '$(TargetFramework)' == 'netstandard2.0' ">
    <PackageReference Include="Microsoft.Extensions.Logging" Version="2.0.0" />
  </ItemGroup>
  
  <ItemGroup Label="Packages">
    <PackageReference Include="Serilog" Version="2.3.0" />
    <PackageReference Include="Serilog.Extensions.Logging" Version="2.0.0" />
    <PackageReference Include="XploRe.Runtime" Version="0.2.0-dev.61" />
    <PackageReference Include="XploRe.SourceLink.OpenSource" Version="1.0.1" PrivateAssets="All" />
    <PackageReference Include="XploRe.Versioning.Tools.DotNet" Version="0.3.0" PrivateAssets="All" />
  </ItemGroup>
  
</Project>
